#version 300 es
precision mediump float;

uniform float u_cycle_amount;
uniform vec3 u_mapped_color;
varying vec2 v_uv;

const float PI = 3.1415926535897932384626433832795;

void main() {
    float pulse = sin(u_cycle_amount * PI) * 0.5 + 0.5;
    vec3 gradientColor = mix(vec3(1.0, 1.0, 1.0), u_mapped_color, v_uv.y);
    vec3 finalColor = mix(vec3(1.0, 0.0, 0.0), gradientColor, pulse);
    gl_FragColor = vec4(finalColor, 1.0);
}
