#version 300 es
precision mediump float;

uniform vec2 u_display_size;
uniform vec3 u_mapped_color;

in vec2 v_uv;  // From vertex shader
out vec4 fragColor;  // Output for final color

void main() {
    vec2 uv = v_uv;

    // Aura effect based on distance from center
    vec3 finalColor = u_mapped_color * distance(uv, vec2(0.5, 0.5));

    fragColor = vec4(finalColor, 1.0);
}
